Name: python-module-twisted
Version: 1.3.0
Release: alt0.M24.1

Summary: Twisted is an event-based framework for internet applications

Group: Development/Python
License: GPL
Url: http://mmpython.sf.net

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: Twisted-%version.tar.bz2

%setup_python_module twisted
#%%set_python_req_method    "strict"
#%%add_python_lib_path 
%add_python_req_skip GDK OpenSSL PAM SOAPpy _iocp cfsupport jarray java javax kqsyscall libglade msvcrt nevow pythoncom pyui pyunit pywintypes quixote setup shadow win32api win32com win32con win32event win32file win32gui win32pipe win32process win32security

# manually removed: eric
BuildRequires: python-base python-modules-encodings
BuildRequires: python-modules python-modules-email python-modules-curses
BuildRequires: python-modules-xml python-modules-compiler
BuildRequires: python-modules-hotshot python-modules-bsddb python-modules-logging

%description
Twisted is an event-based framework for internet applications.  It includes a
web server, a telnet server, a chat server, a news server, a generic client
and server for remote object access, and APIs for creating new protocols and
services. Twisted supports integration of the Tk, GTK+, GTK+ 2, Qt, Mac OS X,
or wxPython event loop with its main event loop. The Win32 event loop
is also supported. Twisted works with all Python 2.2 and 2.3 versions.
		  
%prep
%setup -q -n Twisted-%version

%build
%__python setup.py build

%install
%__python setup.py install --root $RPM_BUILD_ROOT

%files
%python_sitelibdir/*
%_bindir/*
%doc CREDITS README

%changelog
* Thu Apr 06 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 1.3.0-alt0.M24.1
- Backported to Master 2.4
- Updated buildrequires

* Tue Mar 29 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.0-alt1.1
- Rebuilt with python-2.4.

* Fri Dec 31 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.0-alt1
- first build for ALT Linux Sisyphus
